Package org.apache.torque.generator.file

## Class FilesetTest

- java.lang.Object
- - org.apache.torque.generator.file.FilesetTest

-     public class FilesetTest
      extends Object

  Tests for the class Fileset.
  Version:
    $Id: FilesetTest.java 1839288 2018-08-27 09:48:33Z tv $

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FilesetTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `testAnalyzePathAsterisk()` |
    `void` | `testAnalyzePathMultipleWildcards()` |
    `void` | `testAnalyzePathNoWildcards()` |
    `void` | `testAnalyzePathOnlyFilename()` |
    `void` | `testAnalyzePathQuestionMark()` |
    `void` | `testAnalyzePathWildcardFirst()` |
    `void` | `testFilelistAllEmpty()` |
    `void` | `testFilelistAllNull()` |
    `void` | `testFilelistBasedirNul()` |
    `void` | `testFilelistDoubleDotsLeavingBaseDir()` |
    `void` | `testFilelistDoubleDotsStayingInBaseDir()` |
    `void` | `testFilelistExcludeAsteriskSubdir()` |
    `void` | `testFilelistExcludeDot()` |
    `void` | `testFilelistExcludeDoubleDot()` |
    `void` | `testFilelistExcludeDoubleDotLeavingBaseDir()` |
    `void` | `testFilelistExcludeInBasedir()` |
    `void` | `testFilelistExcludeInSubdir()` |
    `void` | `testFilelistExcludeQuestionMarkSubdir()` |
    `void` | `testFilelistExcludeWithBackslashes()` |
    `void` | `testFilelistFixedNameBasedir()` |
    `void` | `testFilelistFixedNameSubdir()` |
    `void` | `testFilelistMixedSlashBackslash()` |
    `void` | `testFilelistQuestionmarkFilename()` |
    `void` | `testFilelistWildcardDir()` |
    `void` | `testFilelistWildcardFilename()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilesetTest

          public FilesetTest()

  - ### Method Detail

    - #### testAnalyzePathNoWildcards

          public void testAnalyzePathNoWildcards()

    - #### testAnalyzePathOnlyFilename

          public void testAnalyzePathOnlyFilename()

    - #### testAnalyzePathQuestionMark

          public void testAnalyzePathQuestionMark()

    - #### testAnalyzePathAsterisk

          public void testAnalyzePathAsterisk()

    - #### testAnalyzePathMultipleWildcards

          public void testAnalyzePathMultipleWildcards()

    - #### testAnalyzePathWildcardFirst

          public void testAnalyzePathWildcardFirst()

    - #### testFilelistFixedNameBasedir

          public void testFilelistFixedNameBasedir()
                                            throws IOException

      Throws:
        `IOException`

    - #### testFilelistFixedNameSubdir

          public void testFilelistFixedNameSubdir()
                                           throws IOException

      Throws:
        `IOException`

    - #### testFilelistMixedSlashBackslash

          public void testFilelistMixedSlashBackslash()
                                               throws IOException

      Throws:
        `IOException`

    - #### testFilelistWildcardDir

          public void testFilelistWildcardDir()
                                       throws IOException

      Throws:
        `IOException`

    - #### testFilelistQuestionmarkFilename

          public void testFilelistQuestionmarkFilename()
                                                throws IOException

      Throws:
        `IOException`

    - #### testFilelistWildcardFilename

          public void testFilelistWildcardFilename()
                                            throws IOException

      Throws:
        `IOException`

    - #### testFilelistDoubleDotsStayingInBaseDir

          public void testFilelistDoubleDotsStayingInBaseDir()
                                                      throws IOException

      Throws:
        `IOException`

    - #### testFilelistDoubleDotsLeavingBaseDir

          public void testFilelistDoubleDotsLeavingBaseDir()
                                                    throws IOException

      Throws:
        `IOException`

    - #### testFilelistAllNull

          public void testFilelistAllNull()
                                   throws IOException

      Throws:
        `IOException`

    - #### testFilelistAllEmpty

          public void testFilelistAllEmpty()
                                    throws IOException

      Throws:
        `IOException`

    - #### testFilelistExcludeInBasedir

          public void testFilelistExcludeInBasedir()
                                            throws IOException

      Throws:
        `IOException`

    - #### testFilelistExcludeInSubdir

          public void testFilelistExcludeInSubdir()
                                           throws IOException

      Throws:
        `IOException`

    - #### testFilelistExcludeWithBackslashes

          public void testFilelistExcludeWithBackslashes()
                                                  throws IOException

      Throws:
        `IOException`

    - #### testFilelistExcludeAsteriskSubdir

          public void testFilelistExcludeAsteriskSubdir()
                                                 throws IOException

      Throws:
        `IOException`

    - #### testFilelistExcludeQuestionMarkSubdir

          public void testFilelistExcludeQuestionMarkSubdir()
                                                     throws IOException

      Throws:
        `IOException`

    - #### testFilelistExcludeDot

          public void testFilelistExcludeDot()
                                      throws IOException

      Throws:
        `IOException`

    - #### testFilelistExcludeDoubleDot

          public void testFilelistExcludeDoubleDot()
                                            throws IOException

      Throws:
        `IOException`

    - #### testFilelistExcludeDoubleDotLeavingBaseDir

          public void testFilelistExcludeDoubleDotLeavingBaseDir()
                                                          throws IOException

      Throws:
        `IOException`

    - #### testFilelistBasedirNul

          public void testFilelistBasedirNul()
                                      throws IOException

      Throws:
        `IOException`